Item Logo
Yms apiReceipt controller

POST Update Receipt

POST Update receipt

Introduction

Update an existing receipt by its receipt ID. This API allows you to modify receipt details such as carrier, customer, equipment information, item lines, appointment data, and dynamic field values. Only the fields provided in the request body will be updated.

POST /public/receipt/{receiptId}/update

Body Request Parameters

Request Parameters

Name

Location

Type

Required

Description

receiptId

path

string

Yes

Receipt ID

X-Tenant-ID

header

string

No

none

X-Yard-ID

header

string

No

none

Item-Time-Zone

header

string

No

none

Authorization

header

string

No

none

Item-Bam-Client

header

string

No

none

x-facility-id

header

string

No

none

body

body

object

No

none

» receiptStatus

body

string

No

Receipt status

» receiptType

body

string

No

Receipt type. Allowed values: REGULARRECEIPT, MATERIALRECEIVE, RETURN

» poNo

body

string

No

Purchase order number

» carrierId

body

string

No

Carrier ID

» externalCarrierId

body

string

No

External carrier identifier from external systems

» customerId

body

string

No

Customer ID

» referenceNo

body

string

No

Reference number

» equipmentType

body

string

No

Equipment type. Allowed values: VEHICLE, TRAILER, CHASSIS, CONTAINER, FLATBED, OTHER

» equipmentNo

body

string

No

Equipment number

» totalPalletQty

body

integer

No

Total pallet quantity

» itemLines

body

[ItemInfo]

No

Item information list

»» itemId

body

string

No

Item identifier

»» itemName

body

string

No

Item name

»» itemQty

body

string

No

Item quantity

»» palletQty

body

string

No

Item pallet Qty

»» itemSpecDesc

body

string

No

Item spec desc

»» itemSpecName

body

string

No

Item spec name

»» uomId

body

string

No

item uomId

»» qty

body

string

No

qty

» appointmentTime

body

string

No

Appointment time

» appointmentId

body

string

No

Appointment ID

» sealNo

body

string

No

Seal number

» dataChannel

body

string

No

Data source channel

» eventTime

body

string

No

Event time for idempotency control

» extraData

body

string

No

Extra data in JSON format

» carrierName

body

string

No

Carrier name

» customerName

body

string

No

Customer name

» dynamicFieldValues

body

[object]

No

Dynamic field values

»» fieldCode

body

string

Yes

Field code

»» value

body

string

No

none

»» values

body

[string]

No

Multi-select value list, takes priority over value

» preferenceLocationType

body

string

No

Preference location type (SPOT / DOCK / null)

» nullFields

body

[string]

No

none

Enum Values

Property

Value

» receiptType

REGULAR_RECEIPT

» receiptType

MATERIAL_RECEIVE

» receiptType

RETURN

» equipmentType

VEHICLE

» equipmentType

TRAILER

» equipmentType

CHASSIS

» equipmentType

CONTAINER

» equipmentType

FLATBED

» equipmentType

OTHER

» equipmentType

NO_EQUIPMENT

» dataChannel

YMS

» dataChannel

WMS

» dataChannel

OMS

» dataChannel

TMS

» dataChannel

FMS

» preferenceLocationType

SPOT

» preferenceLocationType

DOCK

Response Example

200 Response

Response

Status Code

Definition

Description

Data Model

200

OK

none

RReceiptView